Create or update third-party insurance claims

This endpoint enables you to create or update third-party insurance claims on the Credit Clear platform. You can submit multiple claims in a single request, using a JSON array. Each request must have a unique BatchReferenceId parameter that identifies the batch of claims. The BatchReferenceId helps you track the status and results of your request. The endpoint returns the status URI in the location header.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The third-party vehicle request payload

string
required
length between 1 and 150

A unique id that identifies the request payload. This id it helps to keep the API request idempotent on server.

thirdPartyClaims
array of objects
required
length ≥ 1

The array of third-party claims

thirdPartyClaims*

Represents details of a third-party insurance claim.

string | null

The brand of the insurance company.

string | null

The portfolio associated with the claim, such as "Car insurance".

string | null

Client reference id that uniquely identifies the claim. If this value is not provided, ClaimNumber will be used as the unique identifier.

string
required
length between 1 and 150

The claim number provided by the insurer.

string
enum
required

Represents the status of an invoice in the system.

Allowed:
string | null

The reason for the current status.

string | null

The payment reference number.

string | null

The BPay payment reference number.

double | null
≥ 0

The initial recovery amount for the claim.

double | null
≥ 0

The amount to be recovered from the third-party. If null or 0, it signifies that the cost of repair is not yet available.

double | null
≥ 0

The amount recovered from the third party.

string | null

The callback number for the third-party claim, if different from the brand callback number.

claimExcess
object

Represents details of an insurance claim excess.

claimVehicle
object

Represents details of a vehicle.

thirdParties
array of objects
required
length ≥ 1

The list of third parties involved in the incident.

thirdParties*

Represents details of a third-party involved in an insurance claim.

boolean | null

Indicates whether the third-party is insured.

boolean | null

Indicates whether the third-party is at fault. If multiple third-parties are involved, this field is mandatory and only one third-party can be at fault.

string | null

The name of the third-party's insurer.

excess
object

Represents details of an insurance claim excess.

string | null

The claim number associated with the third-party, if available.

driver
object

Represents an entity, which can be a person or a company.

thirdPartyEntity
object
required

Represents an entity, which can be a person or a company.

primaryContact
object

Represents an entity, which can be a person or a company.

vehicle
object

Represents details of a vehicle.

licence
object

Represents details of a licence.

insureds
array of objects | null

The list of insured individuals involved in the incident.

insureds
incident
object

Represents details of an incident related to an insurance claim.

witnesses
array of objects | null

The details of any witnesses, if available.

witnesses
agent
object

Represents an entity, which can be a person or a company.

double | null
≥ 0

The total amount paid by the insurance company for damages.

exposureBreakdown
array of objects | null

The total exposure amount for the insurance company.

exposureBreakdown
sendInstantMessages
array of objects | null

Represents the instant message settings for the debtor. [null] if the instant messages send is not required.

sendInstantMessages
additionalInfo
array of objects | null

An array of key-value pairs containing additional information about the claim.

additionalInfo
Responses
202

Accepted

401

Unauthorized

403

Forbidden

411

Length Required

415

Unsupported Media Type

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/problem+json